# Enum QuorumPeer.SyncMode

java.lang.Object
java.lang.Enum<QuorumPeer.SyncMode>
org.apache.zookeeper.server.quorum.QuorumPeer.SyncMode

All Implemented Interfaces:
  `Serializable, Comparable<QuorumPeer.SyncMode>`

Enclosing class:
  `QuorumPeer`

public static enum QuorumPeer.SyncMode extends Enum<QuorumPeer.SyncMode>
(Used for monitoring) When peer is in synchronization phase, this shows which synchronization mechanism is being used

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIFF`
`NONE`
`SNAP`
`TRUNC`

## Method Summary

Modifier and Type
Method
Description
`static QuorumPeer.SyncMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.SyncMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final QuorumPeer.SyncMode NONE

### DIFF

public static final QuorumPeer.SyncMode DIFF

### SNAP

public static final QuorumPeer.SyncMode SNAP

### TRUNC

public static final QuorumPeer.SyncMode TRUNC

## Method Details

### values

public static QuorumPeer.SyncMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QuorumPeer.SyncMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null